commit 6833b69efd7873d5df4bc0b01a0c0b7750bf9bdf
Author: freddy77 <freddy77>
Date:   Thu Feb 5 08:49:45 2009 +0000

    remove warnings

diff --git a/ChangeLog b/ChangeLog
index 5ddb2f0..7e223ea 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Thu Feb  5 09:49:08 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/done_handling.c src/dblib/unittests/rpc.c:
+	* src/dblib/unittests/t0011.c src/dblib/unittests/t0016.c:
+	* src/dblib/unittests/t0023.c:
+	- remove warnings
+
 Tue Feb  3 10:10:24 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/t0014.c: fix memory error
 
@@ -1271,4 +1277,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2719 2009/02/03 09:10:58 freddy77 Exp $
+$Id: ChangeLog,v 1.2720 2009/02/05 08:49:45 freddy77 Exp $
diff --git a/src/dblib/unittests/done_handling.c b/src/dblib/unittests/done_handling.c
index c2e5cc0..56d95d3 100644
--- a/src/dblib/unittests/done_handling.c
+++ b/src/dblib/unittests/done_handling.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: done_handling.c,v 1.8 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: done_handling.c,v 1.9 2009/02/05 08:49:45 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /*
@@ -60,16 +60,14 @@ prretcode(int retcode)
 	return unknown;
 }
 
-static RETCODE
+static void
 query(const char comment[])
 {
-	RETCODE erc;
-	
 	if (comment)
 		printf("%s\n", comment);
 	sql_cmd(dbproc, INPUT);
 	dbsqlexec(dbproc);
-	while ((erc = dbresults(dbproc)) == SUCCEED) {
+	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
 }
@@ -149,7 +147,6 @@ int
 main(int argc, char *argv[])
 {
 	const static int invalid_column_name = 207;
-	RETCODE erc;
 	LOGINREC *login;	/* Our login information. */
 	int i;
 
@@ -184,9 +181,8 @@ main(int argc, char *argv[])
 	if (strlen(DATABASE))
 		dbuse(dbproc, DATABASE);
 
-	for (i=0; i < 6; i++) {
-		erc = query(NULL);
-	}
+	for (i=0; i < 6; i++)
+		query(NULL);
 #if 0	
 	check_state("setup done ", prretcode, erc);
 	
@@ -202,7 +198,7 @@ main(int argc, char *argv[])
 	do_test("normal row with rowcount off");
 	query("turn rowcount back on");
 	do_test("normal row without rows");
-	dbsetuserdata(dbproc, &invalid_column_name);
+	dbsetuserdata(dbproc, (BYTE*) &invalid_column_name);
 	do_test("error query");
 	do_test("stored procedure call with output parameters");
 
diff --git a/src/dblib/unittests/rpc.c b/src/dblib/unittests/rpc.c
index 5c54197..2dfbf88 100644
--- a/src/dblib/unittests/rpc.c
+++ b/src/dblib/unittests/rpc.c
@@ -5,10 +5,9 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: rpc.c,v 1.36 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: rpc.c,v 1.37 2009/02/05 08:49:45 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-static char cmd[4096];
 static int init_proc(DBPROCESS * dbproc, const char *name);
 int ignore_err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr, char *dberrstr, char *oserrstr);
 int ignore_msg_handler(DBPROCESS * dbproc, DBINT msgno, int state, int severity, char *text, char *server, char *proc, int line);
diff --git a/src/dblib/unittests/t0011.c b/src/dblib/unittests/t0011.c
index 7e2f3b6..cbd8d33 100644
--- a/src/dblib/unittests/t0011.c
+++ b/src/dblib/unittests/t0011.c
@@ -6,7 +6,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0011.c,v 1.14 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0011.c,v 1.15 2009/02/05 08:49:45 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int failed = 0;
@@ -21,7 +21,6 @@ main(int argc, char **argv)
 {
 	LOGINREC *login;
 	DBPROCESS *dbproc;
-	char cmd[2048];
 
 	read_login_info(argc, argv);
 	fprintf(stdout, "Starting %s\n", argv[0]);
diff --git a/src/dblib/unittests/t0016.c b/src/dblib/unittests/t0016.c
index 8847562..f3803ac 100644
--- a/src/dblib/unittests/t0016.c
+++ b/src/dblib/unittests/t0016.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <sys/stat.h>
 
-static char software_version[] = "$Id: t0016.c,v 1.28 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0016.c,v 1.29 2009/02/05 08:49:45 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int failed = 0;
@@ -32,7 +32,6 @@ main(int argc, char *argv[])
 	LOGINREC *login;
 	DBPROCESS *dbproc;
 	int i;
-	char sqlCmd[256];
 	RETCODE ret;
 	const char *out_file = "t0016.out";
 	const char *in_file = FREETDS_SRCDIR "/" INFILE_NAME;
diff --git a/src/dblib/unittests/t0023.c b/src/dblib/unittests/t0023.c
index 515d880..3ec2afc 100644
--- a/src/dblib/unittests/t0023.c
+++ b/src/dblib/unittests/t0023.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: t0023.c,v 1.14 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0023.c,v 1.15 2009/02/05 08:49:45 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -18,7 +18,6 @@ main(int argc, char *argv[])
 {
 	LOGINREC *login;
 	DBPROCESS *dbproc;
-	char cmd[1024];
 	int i;
 	DBINT rowint;
 	DBCHAR rowchar[2];

